#3379 closed task (fixed)

Remove packhex program

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: tool Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The packhex program ( tools/build/packhex.c) is exported to the standard RTEMS build infrastructure via the PACKHEX variable. It is used by some legacy BSPs. It as unclear license information:

/*****  P A C K H E X . C  ************************************************
 *
 *   Packhex is a hex-file compaction utility.  It attempts to concatenate
 *   hex records to produce more size-efficient packaging.
 *
 *   Limitations: Input files must be correctly formatted.  This utility
 *                is not robust enough to detect hex-record formatting
 *                errors.
 *
 *   Published:   May 1993 Embedded Systems Programming magazine
 *                "Creating Faster Hex Files"
 *
 *   URL:         ESP magazine: http://www.embedded.com
 *                Source Code:  ftp://ftp.mfi.com/pub/espmag/1993/pakhex.zip
 *
 *   Author:      Mark Gringrich
 *
 *   Compiler:    Microsoft C 6.0
 *                cl /F 1000 packhex.c
 *
 **************************************************************************/

Move it to rtems-tools.

Change History (6)

comment:1 Changed on Apr 26, 2018 at 2:40:11 AM by Chris Johns

OK to remove.

comment:2 Changed on Jun 7, 2018 at 5:03:34 AM by Sebastian Huber

Summary: Move unhex program to rtems-toolsMove packhex program to rtems-tools

comment:3 Changed on Jun 14, 2018 at 9:45:24 AM by Sebastian Huber

Summary: Move packhex program to rtems-toolsRemove packhex program

This program has no license information and is unused in the RTEMS build. Users of HEX files should consider to use ELF instead. Remove it.

comment:4 Changed on Jun 15, 2018 at 5:17:12 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In e8b28ba/rtems:

tools: Remove packhex

All tools should be removed from the RTEMS source repository at some
point in time. Tools with a BSD-style license will be moved to the
RTEMS tools repository. Unfortunately, this tool has no license
information.

Remove all uses of this tool from the code base. Users of HEX files
should consider to use ELF instead.

Close #3379.

comment:5 Changed on Jun 15, 2018 at 5:27:50 AM by Joel Sherrill

Users of this tool cannot use ELF because this is used with boards where you must download in hex formats.

comment:6 in reply to:  5 Changed on Jun 15, 2018 at 5:42:25 AM by Chris Johns

Replying to Joel Sherrill:

Users of this tool cannot use ELF because this is used with boards where you must download in hex formats.

If you logically extend this should we support all possible formats users can download? I suggest we do not.

The code is available for users to integrate into their workflow.

Note: See TracTickets for help on using tickets.